Bug 65764 - /etc/profile.d scripts run twice with rxvt
Summary: /etc/profile.d scripts run twice with rxvt
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: setup (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-31 15:30 UTC by Michael McLagan
Modified: 2014-03-17 02:27 UTC (History)
1 user (show)

Fixed In Version: 2.5.34-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-23 05:38:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael McLagan 2002-05-31 15:30:51 UTC
Description of Problem:
When bash is invoked as a subshell, the scripts in /etc/profile.d are run
twice.

Version-Release number of selected component (if applicable):
setup-2.5.12-1

How Reproducible:
always

Steps to Reproduce:
1. edit profile, insert 'echo "profile: $i"' into for loop 
2. edit bashrc, insert 'echo "bashrc: $i"' into for loop
3. rxvt -ls -sr -fg white -bg black -fn 7x14 -sl 1024

Actual Results:
scripts are run twice -- if you create a 'fortune.sh' to run fortune mod
it becomes even more obvious

Expected Results:
scripts should not be run twice, only one set -- profile or bashrc is run

Additional Information:
it's most likely the -ls that's triggering this behavior

Comment 1 Bill Nottingham 2004-09-23 05:38:13 UTC
This will be fixed in 2.5.34-1.


Note You need to log in before you can comment on or make changes to this bug.